# This is a simple one-liner to query Google for a keyword and return
# an array of links to the first set of results.
#
# Private project by John Arundel, public domain

require 'open-uri'

class Google
  def search(keyword)
    url = "http://www.google.com/search?q=#{keyword}"
    open(url).read.scan( %r!h2 class=r><a href="([^>]*)" class=l>! )
  end
end

puts Google.new.search("lrug")

# http://lrug.org/
# http://lists.lrug.org/pipermail/chat-lrug.org/2006-April/000090.html
# http://lrug.com/
# http://lists.spiritualexploration.net/listinfo.cgi/lrug-spiritualexploration.net
# http://skillsmatter.com/lrug
# http://skillsmatter.com/dsl-with-ruby-09-10-2006
# http://upcoming.org/event/132196/
# http://upcoming.org/event/160473/
# http://infovore.org/archives/2006/08/11/slides-now-available-for-my-lrug-talk/
# http://interblah.net/2006/9/7/never-let-me-design-a-logo
