require 'size_limited_hash'

limited_hash = SizeLimitedHash.new(1)
limited_hash[:first] = 1
limited_hash[:first] = 2
limited_hash[:second] = 3

puts "Everything's ok so far: #{limited_hash.inspect}"
# Everything's ok so far: {:second=>3}

limited_hash[:third] = 4

puts "But oh no!: #{limited_hash.inspect}"
# But oh no!: {:second=>3, :third=>4}

