class << Time
  unless method_defined? :now_before_time_travel
    alias_method :now_before_time_travel, :now
  end
  
  def now 
    @now || now_before_time_travel 
  end 
  
  def travel_to(time, &block)
    @now = time
    block.call
  ensure
    @now = nil
  end
end
