require 'time_travel'
require 'test/unit'

class TimeTravelExampleTest < Test::Unit::TestCase
  def test_something_involving_time   
    
    Time.travel_to(Time.utc(1977, "dec", 4)) do
      # Has ruby really travelled back in time, or is this 
      # result just a coma-induced hallucination?
      
      assert_equal Time.utc(1977, "dec", 4), Time.now
    end
    
    # We're back in the present, no flux-capacitor needed.
    
    assert_not_equal Time.utc(1977, "dec", 4), Time.now
  end
end
