require 'time_travel'
require 'test/unit'

class TimeTravelExampleTest < Test::Unit::TestCase
  def test_something_involving_time   
    with_time_frozen_at(Time.utc(1977, "dec", 4)) do
      whats_the_time = Time.now    
      assert_equal Time.utc(1977, "dec", 4), whats_the_time
      
      # Has ruby really travelled back in time, or is it all
      # in its coma-induced imagination?
    end 
  end
  
  def with_time_frozen_at(time, &block)
    Time.travel_to(Time.utc(1977, "dec", 4)) do
      yield
    end
  end
end

