# Demonstrates using a block argument to a hash
# to create a memoized function

fib = Hash.new do |hash, key| 
  p "calculating #{key}"
  hash[key] = hash[(key - 1)] + hash[key - 2]
end

fib[0] = 1
fib[1] = 1

p fib[8]