require 'size_limited_hash'

limited_hash = SizeLimitedHash.new(3)
limited_hash[:first] = 1
limited_hash[:second] = 1
limited_hash[:third] = 1

puts "After three values set: #{limited_hash.inspect}"
# After three values set: {:second=>1, :third=>1, :first=>1}

limited_hash[:fourth] = 1

puts "After four values set: #{limited_hash.inspect}"
# After four values set: {:fourth=>1, :second=>1, :third=>1}

